/************************************************************************
 * Palm lab,
 * Department of Computer Science,
 * Sun Yat-sen University, Guangzhou, China
 * http://www.zsusoft.com/~hankz
 *
 * Copyright 2013, Hankz Hankui Zhuo and Lintao Chen
 *
 *
 * This file is part of HTNML.
 *
 * HTNML is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTNML is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTNML.  If not, see <http://www.gnu.org/licenses/>.
 *
 ************************************************************************/


#ifndef _CONSTRAIN_
#define _CONSTRAIN_

#include "Tool.h"

#define BIG_WGHT 2

void buildWSC();
void buildWSCpa();
void buildWSCap();
void buildWSCdp();
void buildWSCpm();

void buildWPC();
void buildWPCFromGoal(PredicateList *predList, ActionList *actionList);
void buildWPCFromAction(ActionList *actionList);
void buildWPCFromTask(Task *task);

void buildWAC(Formula *formula);
void buildWACAP(Formula *formula);
void buildWACDP(Formula *formula);


#endif 
